/*
 * Copyright (c) 2024. Elex. All Rights Reesrved.
 * https://www.elex-project.com/
 */

package com.elex_project.examples.components;

import javax.swing.*;
import javax.swing.border.BevelBorder;
import java.awt.*;

public class ComponentExample extends JPanel {
	public ComponentExample() {
		super(new BorderLayout());

		this.setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED));
		this.setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
		this.setBackground(Color.PINK);

	}

	public static void main(String... args) {

		final JFrame jFrame = new JFrame();
		jFrame.setTitle("Example");
		jFrame.setSize(800, 600);
		jFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		jFrame.setContentPane(new ComponentExample());

		SwingUtilities.invokeLater(() -> {
			jFrame.setVisible(true);
		});


	}
}
